[meta-qt4] qt4: Update to dunfell

Submitted by Davis, Michael on Oct. 16, 2020, 7:51 p.m. | Patch ID: 177313

Details

Message ID 20201016195146.108361-1-michael.davis@essvote.com
State New
Headers show

Commit Message

Davis, Michael Oct. 16, 2020, 7:51 p.m.
This patch removes the deprecated distro_features_check and adds meta-python2 as a dependent layer.
Compability is now limited to dunfell.

Signed-off-by: Michael Davis <michael.davis@essvote.com>
---
 classes/qt4x11.bbclass                                        | 2 +-
 conf/layer.conf                                               | 3 ++-
 recipes-qt4/images/core-image-lsb-qt4.bb                      | 2 +-
 recipes-qt4/packagegroups/packagegroup-core-qt.bb             | 2 +-
 recipes-qt4/packagegroups/packagegroup-qt-toolchain-target.bb | 2 +-
 recipes-qt4/recipes-python/python-pyqt_4.12.bb                | 2 +-
 6 files changed, 7 insertions(+), 6 deletions(-)

Patch hide | download patch | download mbox

diff --git a/classes/qt4x11.bbclass b/classes/qt4x11.bbclass
index 6f06d34..7f65d81 100644
--- a/classes/qt4x11.bbclass
+++ b/classes/qt4x11.bbclass
@@ -4,7 +4,7 @@  DEPENDS_prepend = "${QT4DEPENDS}"
 # depends on qt4-x11
 REQUIRED_DISTRO_FEATURES += "x11"
 
-inherit qmake2 distro_features_check
+inherit qmake2 features_check
 
 QT_BASE_NAME = "qt4"
 QT_DIR_NAME = "qt4"
diff --git a/conf/layer.conf b/conf/layer.conf
index c8d31bb..ab30e58 100644
--- a/conf/layer.conf
+++ b/conf/layer.conf
@@ -8,4 +8,5 @@  BBFILE_COLLECTIONS += "qt4-layer"
 BBFILE_PATTERN_qt4-layer = "^${LAYERDIR}/"
 BBFILE_PRIORITY_qt4-layer = "6"
 
-LAYERSERIES_COMPAT_qt4-layer = "thud warrior zeus"
+LAYERSERIES_COMPAT_qt4-layer = "dunfell"
+LAYERDEPENDS_qt4-layer = "meta-python2"
diff --git a/recipes-qt4/images/core-image-lsb-qt4.bb b/recipes-qt4/images/core-image-lsb-qt4.bb
index 03d27f8..c5c8f2b 100644
--- a/recipes-qt4/images/core-image-lsb-qt4.bb
+++ b/recipes-qt4/images/core-image-lsb-qt4.bb
@@ -9,5 +9,5 @@  IMAGE_INSTALL = "\
 
 inherit core-image
 
-inherit distro_features_check
+inherit features_check
 REQUIRED_DISTRO_FEATURES = "x11"
diff --git a/recipes-qt4/packagegroups/packagegroup-core-qt.bb b/recipes-qt4/packagegroups/packagegroup-core-qt.bb
index b7de69e..1989646 100644
--- a/recipes-qt4/packagegroups/packagegroup-core-qt.bb
+++ b/recipes-qt4/packagegroups/packagegroup-core-qt.bb
@@ -9,7 +9,7 @@  PR = "r4"
 # Qt4 could NOT be built on MIPS64 with 64 bits userspace
 COMPATIBLE_HOST_mips64 = "null"
 
-inherit packagegroup distro_features_check
+inherit packagegroup features_check
 
 # The quicky and fotowall requires x11 in DISTRO_FEATURES
 REQUIRED_DISTRO_FEATURES = "x11"
diff --git a/recipes-qt4/packagegroups/packagegroup-qt-toolchain-target.bb b/recipes-qt4/packagegroups/packagegroup-qt-toolchain-target.bb
index 772c151..7e6f839 100644
--- a/recipes-qt4/packagegroups/packagegroup-qt-toolchain-target.bb
+++ b/recipes-qt4/packagegroups/packagegroup-qt-toolchain-target.bb
@@ -4,7 +4,7 @@  QTLIBPREFIX = ""
 
 require packagegroup-qt-toolchain-target.inc
 
-inherit distro_features_check
+inherit features_check
 # depends on qt4-x11-free
 REQUIRED_DISTRO_FEATURES = "x11"
 
diff --git a/recipes-qt4/recipes-python/python-pyqt_4.12.bb b/recipes-qt4/recipes-python/python-pyqt_4.12.bb
index bc51d5b..5ff8a61 100644
--- a/recipes-qt4/recipes-python/python-pyqt_4.12.bb
+++ b/recipes-qt4/recipes-python/python-pyqt_4.12.bb
@@ -18,7 +18,7 @@  S = "${WORKDIR}/PyQt4_gpl_x11-${PV}"
 
 PARALLEL_MAKE = ""
 
-inherit qmake2 pythonnative python-dir distro_features_check
+inherit qmake2 pythonnative python-dir features_check
 # depends on qt4-x11-free
 REQUIRED_DISTRO_FEATURES = "x11"